<?php

declare(strict_types=1);

namespace Drupal\lb_plus\Plugin\Tool;

use Drupal\toolbar_plus\Attribute\Tool;
use Drupal\toolbar_plus\ToolPluginBase;
use Drupal\Core\Extension\ModuleExtensionList;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\DependencyInjection\ContainerInjectionInterface;

/**
 * Plugin implementation of the tool.
 */
#[Tool(
  id: 'lb_plus',
  label: new TranslatableMarkup('Layout Builder'),

)]
final class LayoutBuilder extends ToolPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getIconsPath(): array {
    $path = $this->extensionList->getPath('lb_plus');
    return [
      'mouse_icon' => "/$path/assets/layout-builder-mouse.svg",
      'toolbar_icon' => "/$path/assets/layout-builder-toolbar.svg"];
  }

  /**
   * {@inheritdoc}
   */
  public function subTools(): array {
    $path = $this->extensionList->getPath('lb_plus');
    return [
      'move' => [
        'id' => 'move',
        'label' => 'Move',
        'mouse_icon' => "/$path/assets/layout-builder-move-mouse.svg",
        'toolbar_icon' => "/$path/assets/layout-builder-move-toolbar.svg",
      ],
      ];
  }

}
